SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0001531: firewall templates contain sometimes #if $VAR without expression, which is not always what we want - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001531Endian FirewallFirewall (iptables)public2009-01-13 17:302009-10-27 12:01
Reporterpeter-endian 
Assigned Topeter-endian 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc3 
Target Version2.3Fixed in Version2.3 
Summary0001531: firewall templates contain sometimes #if $VAR without expression, which is not always what we want
Description#if $VAR
is only false if $VAR is empty, if it is 'off', it's *not* false

most input firewall config templates have this issue as well as rules.tmpl
#if $log for example

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001916)
peter-endian (administrator)
2009-01-13 17:43

attention, there are scripts which fill in True or False!!
like restartopenvpn.py
(0001917)
peter-endian (administrator)
2009-01-13 17:52

this is only an issue with efw-openssh! all other packages are ok

- Issue History
Date Modified Username Field Change
2009-01-13 17:30 peter-endian New Issue
2009-01-13 17:30 peter-endian Assigned To => peter-endian
2009-01-13 17:30 peter-endian Severity minor => major
2009-01-13 17:30 peter-endian Status new => confirmed
2009-01-13 17:30 peter-endian Target Version => 2.3
2009-01-13 17:43 peter-endian Note Added: 0001916
2009-01-13 17:52 peter-endian Note Added: 0001917
2009-01-15 16:55 peter-endian Status confirmed => resolved
2009-01-15 16:55 peter-endian Fixed in Version => 2.3
2009-01-15 16:55 peter-endian Resolution open => fixed
2009-10-27 12:01 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker